[archlinuxfr] Mise-à-jour de hdf5 brise paraview [resolu]

annonces et demandes de paquetages pour les dépôts i686 et x86_64
Répondre
phollox
newbie
Messages : 7
Inscription : lun. 09 sept. 2013, 13:22

[archlinuxfr] Mise-à-jour de hdf5 brise paraview [resolu]

Message par phollox » jeu. 07 nov. 2013, 04:07

La mise-à-jour du paquet hdf5 (de version 1.8.10 à la 1.8.11-1) brise le paquet paraview. J'ai essayé de le recompiler, mais ça n'a pas marché. Il faut utiliser l'ancienne version de la librarie hdf5.

Merci,
Dernière édition par phollox le lun. 11 nov. 2013, 16:11, édité 1 fois.

Avatar de l’utilisateur
coincoin
Daikyu
Messages : 82
Inscription : sam. 12 janv. 2013, 21:19

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par coincoin » ven. 08 nov. 2013, 12:57

Bonjour je regarde ça bizarre pour moi Paraview fonctionne bien je crois.

edit : Phollox j'utilise la version de Paraview sur le dépôt #archlinux fr et la dernière version de hdf5 pas de soucis quel est ton message d'erreur ?
\_o<

phollox
newbie
Messages : 7
Inscription : lun. 09 sept. 2013, 13:22

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par phollox » ven. 08 nov. 2013, 15:56

Moi aussi, j'utilise la version de paraview sur archlinuxfr (je crois que tu es le responsable de la mantenir) et la dernière version de hdf5 dans le repo [extra] (hdf5-1.8.11-1)

Le message d'erreur est le suivant

Code : Tout sélectionner

$ paraview
/usr/lib/paraview-4.0/paraview: error while loading shared libraries: libhdf5_hl.so.7: cannot open shared object file: No such file or directory
Alors, si je fait un downgrade de la librarie hdf5 a la version hdf5-1.8.10_patch1-1 (sur ARM, en utilisant aur/downgrader), ça marche

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14915
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par benjarobin » ven. 08 nov. 2013, 16:01

@coincoin Tu dis toi même avoir la même erreur sur cette page https://aur.archlinux.org/packages/paraview/
Mais je vois que la version 4.0.1-3 date d'après ton commentaire, donc je n'ai surement rien dit

@phollox Tu as quelle version : pacman -Q paraview
Si différent de 4.0.1-3 alors tu n'es pas à jour
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
coincoin
Daikyu
Messages : 82
Inscription : sam. 12 janv. 2013, 21:19

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par coincoin » ven. 08 nov. 2013, 16:16

Effectivement je me rappelle maintenant (ma mémoire est courte...) j'ai du recompiler Paraview et normalement le dépôt sur archlinuxfr est à jour avec le nouveau hdf5.
La nouvelle version date effectivement d'après mon commentaire ^^
\_o<

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14915
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par benjarobin » ven. 08 nov. 2013, 16:21

Hum, il y a quelque chose qui cloche, sur https://aur.archlinux.org/packages/paraview/ le PKGBUILD à été mise à jour le 2013-08-02, hors ton commentaire date d'octobre... Donc AUR n'est pas à jour et tu as recompilé sur archlinuxfr sans augmenter la version (pkgrel), donc phollox utilise la version 4.0.1-3 datant d'août et non d'octobre

@phollox Normalement si tu supprimes paraview du cache de pacman et que tu relances l'installation via pacman, cela devrait être OK, si j'ai bien tout compris
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
coincoin
Daikyu
Messages : 82
Inscription : sam. 12 janv. 2013, 21:19

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par coincoin » ven. 08 nov. 2013, 16:29

Merci benjarobin d'avoir creusé, en fait le PKGBUILD n'a pas changé entretemps mais j'ai du recompiler et créer un nouveau tar.xz. La nouvelle version de hdf5 est apparue après le PKGBUILD de 4.0.1-3, il a fallu recompiler ou changer les link comme m'a répondu panda-z sur AUR :
panda-z a écrit :since paraview was link agaist libhdf5_hl.so.7, and recently the hdf5 package upgrades from 1.8.10_patch1-1 to 1.8.11-1. (grep hdf5 /var/log/pacman.log)
So create a soft link /usr/lib/libhdf5_hl.so.7 points to /usr/lib/libhdf5_hl.so.8, and /usr/lib/libhdf5.so.7 points to /usr/lib/libhdf5.so.8 will do the trick.
Du coup oui il faut supprimer paraview du cache de pacman et celà devrait être bon.
\_o<

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 14915
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par benjarobin » ven. 08 nov. 2013, 16:36

@coincoin Tu devrait mettre sur archlinuxfr la version 4.0.1-3.1 à la place de 4.0.1-3
Comme ceci tu reste en sync avec AUR mais cela indique bien aux personnes ayant ce paquet qu'une mise à jour est disponible
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
coincoin
Daikyu
Messages : 82
Inscription : sam. 12 janv. 2013, 21:19

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par coincoin » ven. 08 nov. 2013, 19:41

Oki benjarobin je prend note mais je ne suis pas sur de bien comprendre en modifiant le PKGBUILD (pkgrel=3.1 n'est pas un entier) ?
\_o<

phollox
newbie
Messages : 7
Inscription : lun. 09 sept. 2013, 13:22

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par phollox » ven. 08 nov. 2013, 22:33

@benjarobin Merci. Oui, j'utilise la version 4.0.1-3, mais je crois que c'est la version d'août. Je vais faire le truc avec le cache, pour le reinstaller.

Merci à tous. Mes excuses pour mon Français

Avatar de l’utilisateur
coincoin
Daikyu
Messages : 82
Inscription : sam. 12 janv. 2013, 21:19

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par coincoin » sam. 09 nov. 2013, 00:27

Pas de soucis c'est déjà un bel effort que tu nous fais et tu t'exprimes très bien :)
Fais nous part si Paraview refonctionne !
Comme je l'utilise tous les jours, celà semble être ton cas, j'essaye de le mettre à jour dès que je vois une maj.
\_o<

phollox
newbie
Messages : 7
Inscription : lun. 09 sept. 2013, 13:22

Re: [archlinuxfr] Mise-à-jour de hdf5 brise paraview

Message par phollox » lun. 11 nov. 2013, 16:06

Oui, ça marche. Merci

Répondre